Security update for postgresql10

SUSE Security Update: Security update for postgresql10
Announcement ID: SUSE-SU-2018:3942-1
Rating: moderate
References: #1114837
Cross-References: CVE-2018-16850
Affected Products:
  • SUSE Linux Enterprise Module for Server Applications 15
  • SUSE Linux Enterprise Module for Packagehub Subpackages 15
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • SUSE Linux Enterprise Module for Basesystem 15

An update that fixes one vulnerability is now available.

Description:

This update for postgresql10 fixes the following issues:
Security issue fixed:

  • CVE-2018-16850: Fixed improper quoting of transition table names when pg_dump emits CREATE TRIGGER could have caused privilege escalation (bsc#1114837).

Non-security issues fixed:
  • Update to release 10.6: * https://www.postgresql.org/docs/current/static/release-10-6.html

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Server Applications 15:
    zypper in -t patch SUSE-SLE-Module-Server-Applications-15-2018-2813=1
  • SUSE Linux Enterprise Module for Packagehub Subpackages 15:
    zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-2018-2813=1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2018-2813=1
  • SUSE Linux Enterprise Module for Basesystem 15:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-2018-2813=1

Package List:

  • SUSE Linux Enterprise Module for Server Applications 15 (aarch64 ppc64le s390x x86_64):
    • libecpg6-10.6-4.8.1
    • libecpg6-debuginfo-10.6-4.8.1
    • postgresql10-contrib-10.6-4.8.1
    • postgresql10-contrib-debuginfo-10.6-4.8.1
    • postgresql10-debuginfo-10.6-4.8.1
    • postgresql10-debugsource-10.6-4.8.1
    • postgresql10-devel-10.6-4.8.1
    • postgresql10-devel-debuginfo-10.6-4.8.1
    • postgresql10-plperl-10.6-4.8.1
    • postgresql10-plperl-debuginfo-10.6-4.8.1
    • postgresql10-plpython-10.6-4.8.1
    • postgresql10-plpython-debuginfo-10.6-4.8.1
    • postgresql10-pltcl-10.6-4.8.1
    • postgresql10-pltcl-debuginfo-10.6-4.8.1
    • postgresql10-server-10.6-4.8.1
    • postgresql10-server-debuginfo-10.6-4.8.1
  • SUSE Linux Enterprise Module for Server Applications 15 (noarch):
    • postgresql10-docs-10.6-4.8.1
  • SUSE Linux Enterprise Module for Packagehub Subpackages 15 (aarch64 ppc64le s390x x86_64):
    • postgresql10-debuginfo-10.6-4.8.1
    • postgresql10-debugsource-10.6-4.8.1
    • postgresql10-test-10.6-4.8.1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (aarch64 ppc64le s390x x86_64):
    • postgresql10-debuginfo-10.6-4.8.1
    • postgresql10-debugsource-10.6-4.8.1
    • postgresql10-test-10.6-4.8.1
  • SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x x86_64):
    • libpq5-10.6-4.8.1
    • libpq5-debuginfo-10.6-4.8.1
    • postgresql10-10.6-4.8.1
    • postgresql10-debuginfo-10.6-4.8.1
    • postgresql10-debugsource-10.6-4.8.1

References: